org.apache.pdfbox.preflight

## Class PreflightConfiguration

- java.lang.Object
- - org.apache.pdfbox.preflight.PreflightConfiguration

    public class PreflightConfiguration
    extends Object

### Field Summary

Fields
`static String` `ACRO_FORM_PROCESS`
`static String` `ACTIONS_PROCESS`
`static String` `ANNOTATIONS_PROCESS`
`static String` `BOOKMARK_PROCESS`
`static String` `CATALOG_PROCESS`
`static String` `DESTINATION_PROCESS`
`static String` `EXTGSTATE_PROCESS`
`static String` `FILE_SPECIF_PROCESS`
`static String` `FONT_PROCESS`
`static String` `GRAPHIC_PROCESS`
`static String` `META_DATA_PROCESS`
`static String` `PAGE_PROCESS`
`static String` `PAGES_TREE_PROCESS`
`static String` `RESOURCES_PROCESS`
`static String` `SHADING_PATTERN_PROCESS`
`static String` `STREAM_PROCESS`
`static String` `TILING_PATTERN_PROCESS`
`static String` `TRAILER_PROCESS`
`static String` `XREF_PROCESS`

### Constructor Summary

Constructors
Constructor and Description
`PreflightConfiguration()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PreflightConfiguration` `createPdfA1BConfiguration()`
`ActionManagerFactory` `getActionFact()`
`AnnotationValidatorFactory` `getAnnotFact()`
`ColorSpaceHelperFactory` `getColorSpaceHelperFact()`
`ValidationProcess` `getInstanceOfProcess(String processName)` Return the validation process linked with the given name
`int` `getMaxErrors()` Get the maximum number of errors after which to abort when possible.
`Collection<String>` `getPageValidationProcessNames()`
`Collection<String>` `getProcessNames()`
`boolean` `isErrorOnMissingProcess()`
`boolean` `isLazyValidation()`
`void` `removePageProcess(String processName)`
`void` `removeProcess(String processName)`
`void` `replacePageProcess(String processName, Class<? extends ValidationProcess> process)`
`void` `replaceProcess(String processName, Class<? extends ValidationProcess> process)`
`void` `setActionFact(ActionManagerFactory actionFact)`
`void` `setAnnotFact(AnnotationValidatorFactory annotFact)`
`void` `setColorSpaceHelperFact(ColorSpaceHelperFactory colorSpaceHelperFact)`
`void` `setErrorOnMissingProcess(boolean errorOnMissingProcess)`
`void` `setLazyValidation(boolean lazyValidation)`
`void` `setMaxErrors(int maxErrors)` Set the maximum number of errors after which to abort when possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CATALOG_PROCESS

    public static final String CATALOG_PROCESS

See Also:
  Constant Field Values

#### STREAM_PROCESS

    public static final String STREAM_PROCESS

See Also:
  Constant Field Values

#### TRAILER_PROCESS

    public static final String TRAILER_PROCESS

See Also:
  Constant Field Values

#### XREF_PROCESS

    public static final String XREF_PROCESS

See Also:
  Constant Field Values

#### BOOKMARK_PROCESS

    public static final String BOOKMARK_PROCESS

See Also:
  Constant Field Values

#### ACRO_FORM_PROCESS

    public static final String ACRO_FORM_PROCESS

See Also:
  Constant Field Values

#### FILE_SPECIF_PROCESS

    public static final String FILE_SPECIF_PROCESS

See Also:
  Constant Field Values

#### PAGES_TREE_PROCESS

    public static final String PAGES_TREE_PROCESS

See Also:
  Constant Field Values

#### META_DATA_PROCESS

    public static final String META_DATA_PROCESS

See Also:
  Constant Field Values

#### PAGE_PROCESS

    public static final String PAGE_PROCESS

See Also:
  Constant Field Values

#### RESOURCES_PROCESS

    public static final String RESOURCES_PROCESS

See Also:
  Constant Field Values

#### ACTIONS_PROCESS

    public static final String ACTIONS_PROCESS

See Also:
  Constant Field Values

#### ANNOTATIONS_PROCESS

    public static final String ANNOTATIONS_PROCESS

See Also:
  Constant Field Values

#### GRAPHIC_PROCESS

    public static final String GRAPHIC_PROCESS

See Also:
  Constant Field Values

#### FONT_PROCESS

    public static final String FONT_PROCESS

See Also:
  Constant Field Values

#### EXTGSTATE_PROCESS

    public static final String EXTGSTATE_PROCESS

See Also:
  Constant Field Values

#### SHADING_PATTERN_PROCESS

    public static final String SHADING_PATTERN_PROCESS

See Also:
  Constant Field Values

#### TILING_PATTERN_PROCESS

    public static final String TILING_PATTERN_PROCESS

See Also:
  Constant Field Values

#### DESTINATION_PROCESS

    public static final String DESTINATION_PROCESS

See Also:
  Constant Field Values

### Constructor Detail

#### PreflightConfiguration

    public PreflightConfiguration()

### Method Detail

#### createPdfA1BConfiguration

    public static PreflightConfiguration createPdfA1BConfiguration()

#### getProcessNames

    public Collection<String> getProcessNames()

#### getInstanceOfProcess

    public ValidationProcess getInstanceOfProcess(String processName)
                                           throws ValidationException

Return the validation process linked with the given name

Parameters:
  `processName` -
Returns:
  an instance of validationProcess, null if it doesn't exist and if the errorOnMissingProcess is false.
Throws:
  `MissingValidationProcessException` - if the Process doesn't exist (errorOnMissingProcess is true).
  `ValidationException` - if the process instance can't be created.

#### replaceProcess

    public void replaceProcess(String processName,
                               Class<? extends ValidationProcess> process)

#### removeProcess

    public void removeProcess(String processName)

#### getPageValidationProcessNames

    public Collection<String> getPageValidationProcessNames()

#### replacePageProcess

    public void replacePageProcess(String processName,
                                   Class<? extends ValidationProcess> process)

#### removePageProcess

    public void removePageProcess(String processName)

#### isErrorOnMissingProcess

    public boolean isErrorOnMissingProcess()

#### setErrorOnMissingProcess

    public void setErrorOnMissingProcess(boolean errorOnMissingProcess)

#### isLazyValidation

    public boolean isLazyValidation()

#### setLazyValidation

    public void setLazyValidation(boolean lazyValidation)

#### getAnnotFact

    public AnnotationValidatorFactory getAnnotFact()

#### setAnnotFact

    public void setAnnotFact(AnnotationValidatorFactory annotFact)

#### getActionFact

    public ActionManagerFactory getActionFact()

#### setActionFact

    public void setActionFact(ActionManagerFactory actionFact)

#### getColorSpaceHelperFact

    public ColorSpaceHelperFactory getColorSpaceHelperFact()

#### setColorSpaceHelperFact

    public void setColorSpaceHelperFact(ColorSpaceHelperFactory colorSpaceHelperFact)

#### getMaxErrors

    public int getMaxErrors()

Get the maximum number of errors after which to abort when possible.

Returns:

#### setMaxErrors

    public void setMaxErrors(int maxErrors)

Set the maximum number of errors after which to abort when possible.

Parameters:
  `maxErrors` -